---
title: "Provision a new compute node."
slug: "provision-a-new-compute-node"
updated: 2026-04-04T02:22:39Z
published: 2026-04-04T02:22:47Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Provision a new compute node.

Post/v1/nodes

Provision a new compute node.

Body parameters

Request to provision a compute node.

<select class='api-response-data' aria-label='Media type'><option value='7d14c25a-6819-4a2a-84fd-ef12d6f0eec5'>application/json</option>
</select>Expand Allobject  namestring    Required

Name of the compute node.

descriptionstring    

Description of the compute node.

ipaddressstring    Required

IP Address of the compute node.

sys_infoobject (NodeSysInfo)  

System Related details of a compute node.

epc_sizeinteger  (int64)    Required

Size of EPC of the compute node in bytes.

num_cpu_coresinteger  (int32)    Required

Number of CPU cores of the compute node.

total_memoryinteger  (int64)    

Total available memory of the compute node in bytes. Populated for TDX nodes; null for SGX and other node types.

sgx_versionstring    Required

Version of the Intel SGX Platform Software running on the compute node.

attestation_requestobject (AttestationRequest)  ias_quotestring  (binary)    

IAS (EPID/DCAP) Quote report bytes.

csrstring    Required

Certificate Signing Request bytes.

attestation_typestring    

Node Attestation type (DCAP, NITRO_ENCLAVE, AMD_SEV_SNP, BAREMETAL_AMD_SEV_SNP or BAREMETAL_TDX).

error_reportobject (NodeErrorReport)  messagestring    Required

Error message containing the reason why node agent failed.

namestring    Required

Node agent attestation error type.

Valid values[
  "AESMD_FAILURE",
  "QUOTE_GENERATION_ERROR",
  "QUOTE_VERIFICATION_ERROR",
  "GROUP_OUT_OF_DATE",
  "SIGRL_VERSION_MISMATCH",
  "CONFIGURATION_NEEDED",
  "QUOTE_REVOKED",
  "SIGNATURE_INVALID",
  "DCAP_ERROR",
  "CPUSVN_OUT_OF_DATE",
  "PSW_OUT_OF_DATE",
  "BAD_PSW",
  "BAD DATA"
]

Responses200

Compute node creation task.

<select class='api-response-data' aria-label='Media type'><option value='e9237423-38d4-416d-b40f-8cb7e678efd2'>application/json</option>
</select>Expand Allobject  task_idstring  (uuid)    

Task Id

certificate_idstring  (uuid)    

Certificate Id in case of certificate issuance task.

node_idstring  (uuid)    

Compute Node Id.

task_typestring    

The types of tasks supported.

Valid values[
  "NODE_ATTESTATION",
  "CERTIFICATE_ISSUANCE",
  "BUILD_WHITELIST",
  "DOMAIN_WHITELIST"
]
task_statusobject (TaskStatus)  

Status info for a task.

created_atinteger  (int64)    

Task creation time

status_updated_atinteger  (int64)    

Time since the status change.

statusstring    

Status string for a task.

Valid values[
  "INPROGRESS",
  "FAILED",
  "SUCCESS",
  "DENIED"
]

build_idstring  (uuid)    

Build Id.
